GETUsage

Get Plan Status

This endpoint retrieves the current status of a SIM and details of a customers data plan. It is useful for checking whether a SIM is active, or pending activation. Current state of the plan. Possible values include: NOT_ACTIVE – The plan has been purchased but not yet activated. ACTIVE – The plan is currently active. EXPIRED – The plan has reached its expiry date and is no longer usable.

Endpoint

GEThttps://api.sotel.com/api/esim/iccid/{ICCID}/details

Authentication

Requires a bearer token obtained from the /authenticate endpoint. Include it in the Authorization header.

Authorization: Bearer {token}

Path Parameters

NameTypeRequiredDescription
ICCIDstringRequiredThe Integrated Circuit Card Identifier (ICCID) of the eSIM to retrieve eSIM Status.

Response

eSIM usage details returned successfully.

Response
{
  "status": "Success",
  "code": 200,
  "data": {
    "productId": "1e0489d5-5ec8-4cd1-9225-f662b76053d4",
    "iccid": "8910300000033610518",
    "createdDate": "2026-05-25 09:41:07",
    "activatedDate": "",
    "expiryDate": "2027-05-25 09:41:07",
    "windowActivationEndDate": "2027-05-25 09:41:07",
    "status": "NOT_ACTIVE",
    "dataPlan": "Regional - Global 10GB 30 days"
  }
}

Code Examples

curl -X GET 'https://api.sotel.com/api/esim/iccid/8910300000045680927/details' \
  -H 'Authorization: Bearer {token}'

Try It

Try It

Fill in the parameters to generate a cURL command

Generated cURL
curl -X GET 'https://api.sotel.com/api/esim/iccid/{ICCID}/details' \
  -H 'Authorization: Bearer {token}'